<template>
  <div class="review-wrap">
    <!-- 公共头部菜单插件 -->
    <vue-office-header :projectName="projectName" @collapseTag="collapseTag" @toRouterView="toRouterView"></vue-office-header>
    <div class="review-wrap__body">
    </div>
  </div>
</template>
<script>

export default {
  name: "review",
  data() {
    return {
      projectName: 'gic-clique', // 当前项目名
      collapseFlag: false, // 折叠参数
    }
  },
  computed: {

  },
  methods: {
    // 处理路由跳转
    toRouterView(val) {
      var that = this;
      // 模拟检查数据
      // //有两个参数
      //{
      //  name:,
      //  path:
      //}
      console.log(val);
      that.$router.push({
        path: val.path
      })
    },

    // 折叠事件
    collapseTag(val) {
      var that = this;
      console.log(val);
      that.collapseFlag = val
    },
  },
  mounted() {

  },
}

</script>
<style lang="less" scoped>

</style>
